%define upstream_name PPIx-DocumentName
%define upstream_version 0.001002

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Utility to extract a name from a PPI Document
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(PPI::Util)

BuildArch:	noarch

%description
This module contains a few utilities for extracting a "name" out of an
arbitrary Perl file.

Typically, this is the "module" name, in the form:

  package Foo

However, it also supports extraction of an override statement in the
form:

  # PODNAME: OverrideName::Goes::Here

Which may be more applicable for documents that lack a "package"
statement, or the "package" statement may be "wrong", but they still
need the document parsed under the guise of having a name ( for purposes
such as POD )

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.1.2-4pclos2017
- rebuild against updates

